View Issue Details

IDProjectCategoryView StatusLast Update
0007099Talerexchangepublic2021-11-25 14:17
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionreopened 
PlatformLinuxOSDebianOS VersionBullseye
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007099: "make check" hangs on test_helper_eddsa
DescriptionI had to interrupt it after a couple minutes of inactivity and 100% CPU.
The single line in the log file seems to indicate that the helper did not start.
Logs attached.
TagsNo tags attached.

Activities

ttn

2021-11-20 01:53

developer  

.ttn.exchange-make-check.log (3,762 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/exchange/" -*-
Compilation started at Sat Nov 20 01:41:26

make check PGHOST=$HOME/pg TMPDIR=$HOME/tmp PATH=$HOME/t/bin:$PATH
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make  check-recursive
make[1]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Making check in .
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange'
Making check in contrib
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in .
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in src
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/src'
Making check in include
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/include'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/include'
Making check in util
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make  test_amount test_crypto test_helper_eddsa test_helper_rsa test_payto test_url
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make[4]: 'test_amount' is up to date.
make[4]: 'test_crypto' is up to date.
make[4]: 'test_helper_eddsa' is up to date.
make[4]: 'test_helper_rsa' is up to date.
make[4]: 'test_payto' is up to date.
make[4]: 'test_url' is up to date.
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
PASS: test_amount
PASS: test_crypto
make[5]: *** Deleting file 'test_helper_eddsa.log'
make[5]: *** [Makefile:1312: test_helper_eddsa.log] Error 130
make[4]: *** [Makefile:1280: check-TESTS] Interrupt
make[3]: *** [Makefile:1389: check-am] Interrupt
make[2]: *** [Makefile:515: check-recursive] Interrupt
make[1]: *** [Makefile:502: check-recursive] Interrupt
make: *** [Makefile:800: check] Interrupt

Compilation interrupt at Sat Nov 20 01:49:41
.ttn.exchange-make-check.log (3,762 bytes)   
.ttn.ps.log (10,860 bytes)   
postgres,3308228 -D /home/ttn/pg
  |-postgres,3308234
  |-postgres,3308235
  |-postgres,3308236
  |-postgres,3308237
  `-postgres,3308238

screen,247611
  |-bash,341825
  |   `-emacs,341839
  |       `-make,2050235 check PGHOST=/home/ttn/pg TMPDIR=/home/ttn/tmp PATH=/home/ttn/t/bin:/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
  |           `-make,2050236 check-recursive
  |               `-bash,2050237 -c fail=; \\\012if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '1'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.3' && test -n '/home/ttn/build/GNU/T/exchange'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\\\[\\ \\\011]*) bs=\\\\; sane_makeflags=`printf '%s\\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs\011]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \\\012  failcom='fail=yes'; \\\012else \\\012  failcom='exit 1'; \\\012fi; \\\012dot_seen=no; \\\012target=`echo check-recursive | sed s/-recursive//`; \\\012case "check-recursive" in \\\012  distclean-* | maintainer-clean-*) list='. contrib src po doc' ;; \\\012  *) list='. contrib src doc po' ;; \\\012esac; \\\012for subdir in $list; do \\\012  echo "Making $target in $subdir"; \\\012  if test "$subdir" = "."; then \\\012    dot_seen=yes; \\\012    local_target="$target-am"; \\\012  else \\\012    local_target="$target"; \\\012  fi; \\\012  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \\\012  || eval $failcom; \\\012done; \\\012if test "$dot_seen" = "no"; then \\\012  make  "$target-am" || exit 1; \\\012fi; test -z "$fail"
  |                   `-bash,2050255 -c fail=; \\\012if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '1'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.3' && test -n '/home/ttn/build/GNU/T/exchange'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\\\[\\ \\\011]*) bs=\\\\; sane_makeflags=`printf '%s\\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs\011]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \\\012  failcom='fail=yes'; \\\012else \\\012  failcom='exit 1'; \\\012fi; \\\012dot_seen=no; \\\012target=`echo check-recursive | sed s/-recursive//`; \\\012case "check-recursive" in \\\012  distclean-* | maintainer-clean-*) list='. contrib src po doc' ;; \\\012  *) list='. contrib src doc po' ;; \\\012esac; \\\012for subdir in $list; do \\\012  echo "Making $target in $subdir"; \\\012  if test "$subdir" = "."; then \\\012    dot_seen=yes; \\\012    local_target="$target-am"; \\\012  else \\\012    local_target="$target"; \\\012  fi; \\\012  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \\\012  || eval $failcom; \\\012done; \\\012if test "$dot_seen" = "no"; then \\\012  make  "$target-am" || exit 1; \\\012fi; test -z "$fail"
  |                       `-make,2050256 check
  |                           `-bash,2050257 -c fail=; \\\012if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.3' && test -n '/home/ttn/build/GNU/T/exchange/src'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\\\[\\ \\\011]*) bs=\\\\; sane_makeflags=`printf '%s\\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs\011]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \\\012  failcom='fail=yes'; \\\012else \\\012  failcom='exit 1'; \\\012fi; \\\012dot_seen=no; \\\012target=`echo check-recursive | sed s/-recursive//`; \\\012case "check-recursive" in \\\012  distclean-* | maintainer-clean-*) list='include util json curl pq sq mhd bank-lib exchangedb exchange auditordb auditor lib exchange-tools testing benchmark' ;; \\\012  *) list='include util json curl pq sq mhd bank-lib exchangedb exchange auditordb auditor lib exchange-tools testing benchmark' ;; \\\012esac; \\\012for subdir in $list; do \\\012  echo "Making $target in $subdir"; \\\012  if test "$subdir" = "."; then \\\012    dot_seen=yes; \\\012    local_target="$target-am"; \\\012  else \\\012    local_target="$target"; \\\012  fi; \\\012  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \\\012  || eval $failcom; \\\012done; \\\012if test "$dot_seen" = "no"; then \\\012  make  "$target-am" || exit 1; \\\012fi; test -z "$fail"
  |                               `-bash,2050264 -c fail=; \\\012if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.3' && test -n '/home/ttn/build/GNU/T/exchange/src'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\\\[\\ \\\011]*) bs=\\\\; sane_makeflags=`printf '%s\\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs\011]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \\\012  failcom='fail=yes'; \\\012else \\\012  failcom='exit 1'; \\\012fi; \\\012dot_seen=no; \\\012target=`echo check-recursive | sed s/-recursive//`; \\\012case "check-recursive" in \\\012  distclean-* | maintainer-clean-*) list='include util json curl pq sq mhd bank-lib exchangedb exchange auditordb auditor lib exchange-tools testing benchmark' ;; \\\012  *) list='include util json curl pq sq mhd bank-lib exchangedb exchange auditordb auditor lib exchange-tools testing benchmark' ;; \\\012esac; \\\012for subdir in $list; do \\\012  echo "Making $target in $subdir"; \\\012  if test "$subdir" = "."; then \\\012    dot_seen=yes; \\\012    local_target="$target-am"; \\\012  else \\\012    local_target="$target"; \\\012  fi; \\\012  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \\\012  || eval $failcom; \\\012done; \\\012if test "$dot_seen" = "no"; then \\\012  make  "$target-am" || exit 1; \\\012fi; test -z "$fail"
  |                                   `-make,2050265 check
  |                                       `-make,2050267 check-TESTS
  |                                           `-bash,2050273 -c set +e; bases='test_amount.log test_crypto.log test_helper_eddsa.log test_helper_rsa.log test_payto.log test_url.log'; bases=`for i in $bases; do echo $i; done | sed 's/\\.log$//'`; bases=`echo $bases`; \\\012log_list=`for i in $bases; do echo $i.log; done`; \\\012trs_list=`for i in $bases; do echo $i.trs; done`; \\\012log_list=`echo $log_list`; trs_list=`echo $trs_list`; \\\012make  test-suite.log TEST_LOGS="$log_list"; \\\012exit $?;
  |                                               `-make,2050282 test-suite.log TEST_LOGS=test_amount.log test_crypto.log test_helper_eddsa.log test_helper_rsa.log test_payto.log test_url.log
  |                                                   `-bash,2050319 ../../build-aux/test-driver --test-name test_helper_eddsa --log-file test_helper_eddsa.log --trs-file test_helper_eddsa.trs --color-tests no --enable-hard-errors yes --expect-failure no -- ./test_helper_eddsa
  |                                                       `-test_helper_edd,2050323
  |                                                           `-taler-exchange-,2050337 -c test_helper_eddsa.conf -L WARNING
  |-bash,3182393
  |   `-newgrp,2230588,root kvm
  |       `-bash,2230589,ttn
  |           `-newgrp,2230763,root kvm
  |               `-bash,2230764,ttn
  |                   `-qemu-system-x86,2898149 -enable-kvm -m 2048 -nic user,model=virtio -drive file=alpine.qcow2,media=disk,if=virtio -fsdev local,id=exp1,path=/home/ttn/tmp/,security_model=mapped-xattr -device virtio-9p-pci,fsdev=exp1,mount_tag=v_tmp -curses -no-reboot
  |                       |-{qemu-system-x86},2898150
  |                       |-{qemu-system-x86},2898161
  |                       |-{qemu-system-x86},2051069
  |                       `-{qemu-system-x86},2051070
  `-bash,4026238
      `-pstree,2051098 -lapu ttn

sshd,2029136
  `-bash,2029139
      `-screen,2029148 -D -r

systemd,2961261 --user
  |-(sd-pam),2961262
  `-dbus-daemon,1890949 --session --address=systemd: --nofork --nopidfile --systemd-activation --syslog-only

taler-exchange-,2048315 -c test_helper_eddsa.conf -L WARNING
.ttn.ps.log (10,860 bytes)   
test_helper_eddsa.log (32 bytes)   
Waiting for helper to start ... 
test_helper_eddsa.log (32 bytes)   

Christian Grothoff

2021-11-20 09:09

manager   ~0018497

Did you run 'make install' before running 'make check'? If not, you likely ran the old UNIX SOCK_DGRAM helper instead of the new UNIX SOCK_STREAM helper...

Christian Grothoff

2021-11-20 09:10

manager   ~0018498

Btw, better documenting that one must run 'make install' before 'make check' would be good, we had several people (including you) running into this trap repeatedly. The canonical INSTALL file having it "wrong" plus little about it in the README, etc. contributes to this problem.

ttn

2021-11-20 11:00

developer   ~0018499

I have done "make install" prior to "make check" since mid 2021.

I agree it would be good to document this non-standard quirk.

ttn

2021-11-20 12:22

developer   ~0018500

I was not able to reproduce the problem on my home system.
On the bright side, it was the first "make check" that passed, there.
Hooray for fast hardware!

ttn

2021-11-20 12:33

developer   ~0018501

Hmm, since the helper is now SOCK_STREAM, could this be a firewall problem?

ttn

2021-11-20 15:13

developer   ~0018502

Previously, i interrupted the "make check" process but that left the test_helper_eddsa process running (at 100% CPU). After several more invocations of "make check", the accumulated leftover processes bumped up the load average to above 6. I had to manually kill -9 all of these leftover processes.

ttn

2021-11-20 15:45

developer   ~0018503

I found a small problem in config.log (attached): on line 1177, the configure script begins to look for gnunet/gnunet_pq_lib.h but the conftest.c includes the line "#include <libpq-fe.h>", which fails. Thus, the configure script concludes (incorrectly!) that gnunet/gnunet_pq_lib.h is not available.
I worked around this by specifying CPPFLAGS=-I/usr/include/postgresql as part of the configure script invocation.

Unfortunately, after redoing "make" and "make install", "make check" still fails. The attached test-suite.log file seems to indicate some kind of permissikons problem....
config.log.gz (14,933 bytes)
test-suite.log (888 bytes)   
===================================================
   taler-exchange 0.8.5: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Waiting for helper to start ... 2021-11-20T15:35:40.712415+0100 test-helper-eddsa-2498400 WARNING `recv' failed at crypto_helper_esign.c:265 with error: Connection reset by peer
2021-11-20T15:35:40.712587+0100 test-helper-eddsa-2498400 WARNING `connect' failed on file `/home/ttn/tmp/ttn/test_helper_eddsa//exchange-secmod-eddsa/server.sock' at crypto_helper_esign.c:101 with error: Connection refused

FAILED: no keys returend by helper
2021-11-20T15:35:40.712699+0100 test-helper-eddsa-2498400 ERROR Helper died with unexpected status 4/9
FAIL test_helper_eddsa (exit status: 5)

test-suite.log (888 bytes)   

ttn

2021-11-21 09:04

developer   ~0018506

After a "git pull" (HEAD now ae2ce4aaeed35fd077cac016795f069b35189756), the same behavior appears on my home system (Devuan 4).
I had to kill -9 the process and the "make check" eventually failed.

ttn

2021-11-21 09:17

developer   ~0018507

Same behavior (hang) under Alpine 3.13 in a VM.

Christian Grothoff

2021-11-21 10:02

manager   ~0018508

Was finally able to reproduce, Fixed in ae2ce4aa..1caeaec2

ttn

2021-11-21 12:42

developer   ~0018509

With HEAD at 56318f53e201f0f91e6cd50d485f6ff44b8cf9d0, the test still hangs, but it no longer consumes 100% CPU.
I was able to kill it this time with SIGTERM (as opposed to having to use SIGKILL before).

ttn

2021-11-21 12:42

developer   ~0018510

I attach the latest util/src/test-suite.log, which mentions something about live keys.
test-suite-2.log (959 bytes)   
===================================================
   taler-exchange 0.8.5: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Waiting for helper to start ... 2021-11-21T12:36:54.700723+0100 test-helper-eddsa-3038173 ERROR Error: received 8 live keys from the service!
2021-11-21T12:36:54.701062+0100 test-helper-eddsa-3038173 ERROR Error: received 8 live keys from the service!
 Done (7 keys)
Revoking key ....
Revoking key ....
Revoking key ....2021-11-21T12:36:55.452540+0100 test-helper-eddsa-3038173 ERROR Error: received 8 live keys from the service!
....................................................................................................................................................................................FAIL test_helper_eddsa (exit status: 143)

test-suite-2.log (959 bytes)   

Christian Grothoff

2021-11-21 12:48

manager   ~0018511

Yep, there was a 2nd issue. Should now be fixed as well. Please confirm.

ttn

2021-11-21 12:56

developer   ~0018512

Now it no longer hangs, but instead dumps core.
.ttn.exchange-make-check-2.log (5,047 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/exchange/" -*-
Compilation started at Sun Nov 21 12:54:29

../hack/check
+ export PATH=/home/ttn/t/bin:/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ PATH=/home/ttn/t/bin:/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ export TMPDIR=/home/ttn/tmp
+ TMPDIR=/home/ttn/tmp
+ export PGHOST=/home/ttn/pg
+ PGHOST=/home/ttn/pg
+ make check
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make  check-recursive
make[1]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Making check in .
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange'
Making check in contrib
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in .
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in src
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/src'
Making check in include
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/include'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/include'
Making check in util
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make  test_amount test_crypto test_helper_eddsa test_helper_rsa test_payto test_url
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
  CC       test_amount.o
  CCLD     test_amount
  CC       test_crypto.o
  CCLD     test_crypto
  CC       test_helper_eddsa.o
  CCLD     test_helper_eddsa
  CC       test_helper_rsa.o
  CCLD     test_helper_rsa
  CC       test_payto.o
  CCLD     test_payto
  CC       test_url.o
  CCLD     test_url
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
PASS: test_amount
PASS: test_crypto
../../build-aux/test-driver: line 109: 3075355 Aborted                 (core dumped) "$@" > $log_file 2>&1
FAIL: test_helper_eddsa
PASS: test_helper_rsa
PASS: test_payto
PASS: test_url
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/util/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[5]: *** [Makefile:1172: test-suite.log] Error 1
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[4]: *** [Makefile:1280: check-TESTS] Error 2
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[3]: *** [Makefile:1389: check-am] Error 2
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[2]: *** [Makefile:515: check-recursive] Error 1
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/src'
make[1]: *** [Makefile:502: check-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/exchange'
make: *** [Makefile:800: check] Error 2

Compilation exited abnormally with code 2 at Sun Nov 21 12:54:39
.ttn.exchange-make-check-2.log (5,047 bytes)   

ttn

2021-11-21 12:58

developer   ~0018513

Latest src/util/test-suite.log attached.
test-suite-3.log (11,178 bytes)   
===================================================
   taler-exchange 0.8.5: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Waiting for helper to start ... 2021-11-21T12:54:33.077867+0100 taler-exchange-secmod-eddsa-3075369 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494733'
2021-11-21T12:54:33.078121+0100 taler-exchange-secmod-eddsa-3075369 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494910'
2021-11-21T12:54:33.078260+0100 taler-exchange-secmod-eddsa-3075369 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494851'
2021-11-21T12:54:33.078395+0100 taler-exchange-secmod-eddsa-3075369 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494792'
2021-11-21T12:54:33.078527+0100 taler-exchange-secmod-eddsa-3075369 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494615'
2021-11-21T12:54:33.078662+0100 taler-exchange-secmod-eddsa-3075369 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494674'
2021-11-21T12:54:33.078913+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495673'
2021-11-21T12:54:33.079123+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495732'
2021-11-21T12:54:33.079329+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495791'
2021-11-21T12:54:33.079536+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495850'
2021-11-21T12:54:33.079743+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495909'
2021-11-21T12:54:33.079948+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495968'
2021-11-21T12:54:33.079997+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging past key 5AMG4KE3 (expired 16 m ago)
2021-11-21T12:54:33.080021+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key 5AMG4KE3
2021-11-21T12:54:33.080148+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging past key ZZ9KCHTA (expired 15 m ago)
2021-11-21T12:54:33.080176+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key ZZ9KCHTA
2021-11-21T12:54:33.080239+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging past key DKEQ198E (expired 14 m ago)
2021-11-21T12:54:33.080264+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key DKEQ198E
2021-11-21T12:54:33.080323+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging past key 30FBGJ1H (expired 13 m ago)
2021-11-21T12:54:33.080347+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key 30FBGJ1H
2021-11-21T12:54:33.080406+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging past key ZYDAK41B (expired 12 m ago)
2021-11-21T12:54:33.080430+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key ZYDAK41B
2021-11-21T12:54:33.080487+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging past key QGEE6YD2 (expired 11 m ago)
2021-11-21T12:54:33.080512+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key QGEE6YD2
2021-11-21T12:54:33.322554+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.322787+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.322979+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.322991+0100 test-helper-eddsa-3075355 INFO Update on key 5AMG4KE3 (1 m)...2021-11-21T12:54:33.323198+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.323301+0100 test-helper-eddsa-3075355 INFO Update on key ZZ9KCHTA (1 m)...2021-11-21T12:54:33.323374+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.323544+0100 test-helper-eddsa-3075355 INFO Update on key DKEQ198E (1 m)...2021-11-21T12:54:33.323549+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.323724+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.323786+0100 test-helper-eddsa-3075355 INFO Update on key 30FBGJ1H (1 m)...2021-11-21T12:54:33.323898+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.324024+0100 test-helper-eddsa-3075355 INFO Update on key ZYDAK41B (1 m)...2021-11-21T12:54:33.324139+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.324297+0100 test-helper-eddsa-3075355 INFO Update on key QGEE6YD2 (1 m)...2021-11-21T12:54:33.324339+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.324529+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.324561+0100 test-helper-eddsa-3075355 INFO Update on key YEDF6TGN (1 m)...2021-11-21T12:54:33.324718+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.324742+0100 taler-exchange-secmod-eddsa-3075369 INFO Client 0x562a50e61200 synced
2021-11-21T12:54:33.324762+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 19 and length 4
2021-11-21T12:54:33.324820+0100 test-helper-eddsa-3075355 INFO Update on key AG09YG4N (1 m)...2021-11-21T12:54:33.325084+0100 test-helper-eddsa-3075355 INFO Update on key 9R6B4W3Q (1 m)...2021-11-21T12:54:33.325342+0100 test-helper-eddsa-3075355 INFO Update on key P5KSXVAW (1 m)...2021-11-21T12:54:33.325599+0100 test-helper-eddsa-3075355 INFO Update on key 9SDAQ5MY (1 m)...2021-11-21T12:54:33.325859+0100 test-helper-eddsa-3075355 INFO Update on key 4H97W6NC (1 m)...2021-11-21T12:54:33.325880+0100 test-helper-eddsa-3075355 INFO Now synchronized with EdDSA helper
 Done (12 keys)
Revoking key 4H97W6NC ...2021-11-21T12:54:33.326026+0100 taler-exchange-secmod-eddsa-3075369 INFO Revoking key 4H97W6NC, bumping generation to 2
2021-11-21T12:54:33.326067+0100 taler-exchange-secmod-eddsa-3075369 INFO Purging key 4H97W6NC
2021-11-21T12:54:33.326338+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637495968'
2021-11-21T12:54:33.326373+0100 taler-exchange-secmod-eddsa-3075369 INFO Updating client 0x562a50e61200 to generation 2
2021-11-21T12:54:33.326406+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key 5AMG4KE3, no change since generation 1
2021-11-21T12:54:33.326430+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key ZZ9KCHTA, no change since generation 1
2021-11-21T12:54:33.326452+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key DKEQ198E, no change since generation 1
2021-11-21T12:54:33.326474+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key 30FBGJ1H, no change since generation 1
2021-11-21T12:54:33.326496+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key ZYDAK41B, no change since generation 1
2021-11-21T12:54:33.326518+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key QGEE6YD2, no change since generation 1
2021-11-21T12:54:33.326539+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key YEDF6TGN, no change since generation 1
2021-11-21T12:54:33.326570+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key AG09YG4N, no change since generation 1
2021-11-21T12:54:33.326593+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key 9R6B4W3Q, no change since generation 1
2021-11-21T12:54:33.326615+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key P5KSXVAW, no change since generation 1
2021-11-21T12:54:33.326636+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key 9SDAQ5MY, no change since generation 1
2021-11-21T12:54:33.326655+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 11 and length 40
2021-11-21T12:54:33.326844+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
.2021-11-21T12:54:33.576186+0100 test-helper-eddsa-3075355 INFO Update on key 4H97W6NC (0 ms)...2021-11-21T12:54:33.576466+0100 test-helper-eddsa-3075355 INFO Update on key EPDPZCR6 (1 m)...
Revoking key ZYDAK41B ...
FAILED: timeout trying to revoke key 4
free(): double free detected in tcache 2
2021-11-21T12:54:33.576597+0100 taler-exchange-secmod-eddsa-3075369 INFO Revoking key ZYDAK41B, bumping generation to 3
2021-11-21T12:54:33.576641+0100 taler-exchange-secmod-eddsa-3075369 INFO Key ZYDAK41B already purged, skipping
2021-11-21T12:54:33.576884+0100 taler-exchange-secmod-eddsa-3075369 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637494851'
2021-11-21T12:54:33.576916+0100 taler-exchange-secmod-eddsa-3075369 INFO Updating client 0x562a50e61200 to generation 3
2021-11-21T12:54:33.576941+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key 5AMG4KE3, no change since generation 2
2021-11-21T12:54:33.576964+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key ZZ9KCHTA, no change since generation 2
2021-11-21T12:54:33.576985+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key DKEQ198E, no change since generation 2
2021-11-21T12:54:33.577007+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key 30FBGJ1H, no change since generation 2
2021-11-21T12:54:33.577029+0100 taler-exchange-secmod-eddsa-3075369 INFO Skipping key ZYDAK41B, no change since generation 2
2021-11-21T12:54:33.577214+0100 taler-exchange-secmod-eddsa-3075369 INFO Sending message of type 12 and length 152
2021-11-21T12:54:33.577269+0100 taler-exchange-secmod-eddsa-3075369 WARNING `send' failed at secmod_common.c:105 with error: Broken pipe
2021-11-21T12:54:33.577290+0100 taler-exchange-secmod-eddsa-3075369 INFO Client 0x562a50e61200 must have disconnected
FAIL test_helper_eddsa (exit status: 134)

test-suite-3.log (11,178 bytes)   

Christian Grothoff

2021-11-21 13:38

manager   ~0018514

Ok, that one is fixed now, too. If the test still does not pass, you may have to clean up some left-over files in
exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/

ttn

2021-11-21 14:02

developer   ~0018515

I confirm that with the latest changes, "make check" now passes.
As you hinted, i had to delete all the .../keys/* files.

ttn

2021-11-21 20:15

developer   ~0018519

On the latest "git pull" (HEAD at eb05ba6e34f4200663d28cea06c1915cd9166c2e),
the test again hangs. I had to interrupt, delete the .../keys/* files, and re-run the "make check".
It seems to me either the test should clean up after itself (on success), or should be
changed to be made resiliant against "old" data. What do you think?

Christian Grothoff

2021-11-21 23:29

manager   ~0018521

Well, *usually* old data should not be a problem. Most likely, your old data was left in a bad state from running an earlier broken version of the code. If that happens _again_, we would want to know! So actually, I think it is better to leave it as is and not clean up, as that might hide a more serious bug (in production, we CANNOT clean up like we could in a test).

ttn

2021-11-22 02:09

developer   ~0018522

In that case, i have bad news: the test failed again.
I also notice that it took a long time to fail, more than two minutes.
The latest log shows that.
The src/util/test-suite.log has a lot of detail, too.
.ttn.exchange-make-check-3.log (4,874 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/exchange/" -*-
Compilation started at Mon Nov 22 02:01:20

../hack/check
+ export PATH=/home/ttn/t/bin:/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ PATH=/home/ttn/t/bin:/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ export TMPDIR=/home/ttn/tmp
+ TMPDIR=/home/ttn/tmp
+ export PGHOST=/home/ttn/pg
+ PGHOST=/home/ttn/pg
+ make check
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make  check-recursive
make[1]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Making check in .
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:964: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:959: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:964: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:974: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:969: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange'
Making check in contrib
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in .
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in src
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/src'
Making check in include
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/include'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/include'
Making check in util
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make  test_amount test_crypto test_helper_eddsa test_helper_rsa test_payto test_url
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make[4]: 'test_amount' is up to date.
make[4]: 'test_crypto' is up to date.
make[4]: 'test_helper_eddsa' is up to date.
make[4]: 'test_helper_rsa' is up to date.
make[4]: 'test_payto' is up to date.
make[4]: 'test_url' is up to date.
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
PASS: test_amount
PASS: test_crypto
FAIL: test_helper_eddsa
PASS: test_helper_rsa
PASS: test_payto
PASS: test_url
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/util/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[5]: *** [Makefile:1172: test-suite.log] Error 1
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[4]: *** [Makefile:1280: check-TESTS] Error 2
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[3]: *** [Makefile:1389: check-am] Error 2
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[2]: *** [Makefile:515: check-recursive] Error 1
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/src'
make[1]: *** [Makefile:502: check-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/exchange'
make: *** [Makefile:800: check] Error 2

Compilation exited abnormally with code 2 at Mon Nov 22 02:04:24
.ttn.exchange-make-check-3.log (4,874 bytes)   
test-suite-4.log (18,977 bytes)   
===================================================
   taler-exchange 0.8.5: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Waiting for helper to start ... 2021-11-22T02:01:21.253204+0100 taler-exchange-secmod-eddsa-3547315 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637540345'
2021-11-22T02:01:21.253443+0100 taler-exchange-secmod-eddsa-3547315 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637540227'
2021-11-22T02:01:21.253572+0100 taler-exchange-secmod-eddsa-3547315 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637540286'
2021-11-22T02:01:21.253697+0100 taler-exchange-secmod-eddsa-3547315 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637540522'
2021-11-22T02:01:21.253822+0100 taler-exchange-secmod-eddsa-3547315 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637540463'
2021-11-22T02:01:21.253947+0100 taler-exchange-secmod-eddsa-3547315 INFO Imported key from `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637540404'
2021-11-22T02:01:21.254186+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637542881'
2021-11-22T02:01:21.254379+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637542940'
2021-11-22T02:01:21.254568+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637542999'
2021-11-22T02:01:21.254757+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637543058'
2021-11-22T02:01:21.254953+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637543117'
2021-11-22T02:01:21.255142+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637543176'
2021-11-22T02:01:21.255185+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 43 m ago)
2021-11-22T02:01:21.255207+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key HR36MP01
2021-11-22T02:01:21.255282+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 42 m ago)
2021-11-22T02:01:21.255306+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key P06PG9ZD
2021-11-22T02:01:21.255361+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 41 m ago)
2021-11-22T02:01:21.255383+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key SPBNKYDZ
2021-11-22T02:01:21.255436+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 40 m ago)
2021-11-22T02:01:21.255458+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key F9BCTCJK
2021-11-22T02:01:21.255511+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 39 m ago)
2021-11-22T02:01:21.255533+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key ENR6E4FJ
2021-11-22T02:01:21.255584+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 38 m ago)
2021-11-22T02:01:21.255607+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key 59PBA2WP
2021-11-22T02:01:21.498226+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.498479+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.498686+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.498688+0100 test-helper-eddsa-3547301 INFO Update on key HR36MP01 (1 m)...2021-11-22T02:01:21.498877+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.499025+0100 test-helper-eddsa-3547301 INFO Update on key P06PG9ZD (1 m)...2021-11-22T02:01:21.499065+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.499253+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.499292+0100 test-helper-eddsa-3547301 INFO Update on key SPBNKYDZ (1 m)...2021-11-22T02:01:21.499441+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.499555+0100 test-helper-eddsa-3547301 INFO Update on key F9BCTCJK (1 m)...2021-11-22T02:01:21.499629+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.499817+0100 test-helper-eddsa-3547301 INFO Update on key ENR6E4FJ (1 m)...2021-11-22T02:01:21.499817+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.500009+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.500095+0100 test-helper-eddsa-3547301 INFO Update on key 59PBA2WP (1 m)...2021-11-22T02:01:21.500351+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.500365+0100 test-helper-eddsa-3547301 INFO Update on key R6K13H99 (1 m)...2021-11-22T02:01:21.500547+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 12 and length 152
2021-11-22T02:01:21.500572+0100 taler-exchange-secmod-eddsa-3547315 INFO Client 0x55737299e200 synced
2021-11-22T02:01:21.500590+0100 taler-exchange-secmod-eddsa-3547315 INFO Sending message of type 19 and length 4
2021-11-22T02:01:21.500623+0100 test-helper-eddsa-3547301 INFO Update on key JPDYVB5W (1 m)...2021-11-22T02:01:21.500880+0100 test-helper-eddsa-3547301 INFO Update on key FK80WQ4T (1 m)...2021-11-22T02:01:21.501139+0100 test-helper-eddsa-3547301 INFO Update on key ZA0W5TEE (1 m)...2021-11-22T02:01:21.501401+0100 test-helper-eddsa-3547301 INFO Update on key DXN941G6 (1 m)...2021-11-22T02:01:21.501659+0100 test-helper-eddsa-3547301 INFO Update on key Y6GBYKRT (1 m)...2021-11-22T02:01:21.501680+0100 test-helper-eddsa-3547301 INFO Now synchronized with EdDSA helper
 Done (12 keys)
Revoking key P06PG9ZD ...
Revoking key P06PG9ZD ...
Revoking key FK80WQ4T ...2021-11-22T02:01:21.501817+0100 taler-exchange-secmod-eddsa-3547315 WARNING External protocol violation detected at secmod_common.c:287.
.....................................................................................................................................................................................................................2021-11-22T02:02:15.025810+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637543235'
2021-11-22T02:02:15.025869+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 44 m ago)
2021-11-22T02:02:15.025894+0100 taler-exchange-secmod-eddsa-3547315 INFO Key HR36MP01 already purged, skipping
2021-11-22T02:02:15.025918+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 43 m ago)
2021-11-22T02:02:15.025940+0100 taler-exchange-secmod-eddsa-3547315 INFO Key P06PG9ZD already purged, skipping
2021-11-22T02:02:15.025964+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 42 m ago)
2021-11-22T02:02:15.025986+0100 taler-exchange-secmod-eddsa-3547315 INFO Key SPBNKYDZ already purged, skipping
2021-11-22T02:02:15.026009+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 41 m ago)
2021-11-22T02:02:15.026041+0100 taler-exchange-secmod-eddsa-3547315 INFO Key F9BCTCJK already purged, skipping
2021-11-22T02:02:15.026066+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 40 m ago)
2021-11-22T02:02:15.026087+0100 taler-exchange-secmod-eddsa-3547315 INFO Key ENR6E4FJ already purged, skipping
2021-11-22T02:02:15.026110+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 39 m ago)
2021-11-22T02:02:15.026131+0100 taler-exchange-secmod-eddsa-3547315 INFO Key 59PBA2WP already purged, skipping
........................2021-11-22T02:02:21.006141+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 44 m ago)
2021-11-22T02:02:21.006197+0100 taler-exchange-secmod-eddsa-3547315 INFO Key HR36MP01 already purged, skipping
2021-11-22T02:02:21.006223+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 43 m ago)
2021-11-22T02:02:21.006245+0100 taler-exchange-secmod-eddsa-3547315 INFO Key P06PG9ZD already purged, skipping
2021-11-22T02:02:21.006268+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 42 m ago)
2021-11-22T02:02:21.006290+0100 taler-exchange-secmod-eddsa-3547315 INFO Key SPBNKYDZ already purged, skipping
2021-11-22T02:02:21.006313+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 41 m ago)
2021-11-22T02:02:21.006334+0100 taler-exchange-secmod-eddsa-3547315 INFO Key F9BCTCJK already purged, skipping
2021-11-22T02:02:21.006357+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 40 m ago)
2021-11-22T02:02:21.006379+0100 taler-exchange-secmod-eddsa-3547315 INFO Key ENR6E4FJ already purged, skipping
2021-11-22T02:02:21.006401+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 39 m ago)
2021-11-22T02:02:21.006423+0100 taler-exchange-secmod-eddsa-3547315 INFO Key 59PBA2WP already purged, skipping
2021-11-22T02:02:21.006446+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key R6K13H99 (expired 6 ms ago)
2021-11-22T02:02:21.006468+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key R6K13H99
....................................................................................................................................................................................................................2021-11-22T02:03:14.040734+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637543294'
2021-11-22T02:03:14.040783+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 45 m ago)
2021-11-22T02:03:14.040808+0100 taler-exchange-secmod-eddsa-3547315 INFO Key HR36MP01 already purged, skipping
2021-11-22T02:03:14.040831+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 44 m ago)
2021-11-22T02:03:14.040853+0100 taler-exchange-secmod-eddsa-3547315 INFO Key P06PG9ZD already purged, skipping
2021-11-22T02:03:14.040876+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 43 m ago)
2021-11-22T02:03:14.040898+0100 taler-exchange-secmod-eddsa-3547315 INFO Key SPBNKYDZ already purged, skipping
2021-11-22T02:03:14.040921+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 42 m ago)
2021-11-22T02:03:14.040943+0100 taler-exchange-secmod-eddsa-3547315 INFO Key F9BCTCJK already purged, skipping
2021-11-22T02:03:14.040966+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 41 m ago)
2021-11-22T02:03:14.040988+0100 taler-exchange-secmod-eddsa-3547315 INFO Key ENR6E4FJ already purged, skipping
2021-11-22T02:03:14.041011+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 40 m ago)
2021-11-22T02:03:14.041033+0100 taler-exchange-secmod-eddsa-3547315 INFO Key 59PBA2WP already purged, skipping
2021-11-22T02:03:14.041056+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key R6K13H99 (expired 53 s ago)
2021-11-22T02:03:14.041088+0100 taler-exchange-secmod-eddsa-3547315 INFO Key R6K13H99 already purged, skipping
........................2021-11-22T02:03:20.006128+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 45 m ago)
2021-11-22T02:03:20.006190+0100 taler-exchange-secmod-eddsa-3547315 INFO Key HR36MP01 already purged, skipping
2021-11-22T02:03:20.006216+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 44 m ago)
2021-11-22T02:03:20.006238+0100 taler-exchange-secmod-eddsa-3547315 INFO Key P06PG9ZD already purged, skipping
2021-11-22T02:03:20.006260+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 43 m ago)
2021-11-22T02:03:20.006282+0100 taler-exchange-secmod-eddsa-3547315 INFO Key SPBNKYDZ already purged, skipping
2021-11-22T02:03:20.006305+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 42 m ago)
2021-11-22T02:03:20.006326+0100 taler-exchange-secmod-eddsa-3547315 INFO Key F9BCTCJK already purged, skipping
2021-11-22T02:03:20.006349+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 41 m ago)
2021-11-22T02:03:20.006370+0100 taler-exchange-secmod-eddsa-3547315 INFO Key ENR6E4FJ already purged, skipping
2021-11-22T02:03:20.006393+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 40 m ago)
2021-11-22T02:03:20.006415+0100 taler-exchange-secmod-eddsa-3547315 INFO Key 59PBA2WP already purged, skipping
2021-11-22T02:03:20.006437+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key R6K13H99 (expired 59 s ago)
2021-11-22T02:03:20.006459+0100 taler-exchange-secmod-eddsa-3547315 INFO Key R6K13H99 already purged, skipping
2021-11-22T02:03:20.006482+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key JPDYVB5W (expired 6 ms ago)
2021-11-22T02:03:20.006504+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key JPDYVB5W
....................................................................................................................................................................................................................2021-11-22T02:04:13.050840+0100 taler-exchange-secmod-eddsa-3547315 INFO Setup fresh private key in `/home/ttn/build/GNU/T/exchange/src/util/test_helper_eddsa_home//.local/share/taler//exchange-secmod-eddsa/keys/1637543353'
2021-11-22T02:04:13.050888+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 46 m ago)
2021-11-22T02:04:13.050913+0100 taler-exchange-secmod-eddsa-3547315 INFO Key HR36MP01 already purged, skipping
2021-11-22T02:04:13.050936+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 45 m ago)
2021-11-22T02:04:13.050958+0100 taler-exchange-secmod-eddsa-3547315 INFO Key P06PG9ZD already purged, skipping
2021-11-22T02:04:13.050981+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 44 m ago)
2021-11-22T02:04:13.051004+0100 taler-exchange-secmod-eddsa-3547315 INFO Key SPBNKYDZ already purged, skipping
2021-11-22T02:04:13.051027+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 43 m ago)
2021-11-22T02:04:13.051049+0100 taler-exchange-secmod-eddsa-3547315 INFO Key F9BCTCJK already purged, skipping
2021-11-22T02:04:13.051072+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 42 m ago)
2021-11-22T02:04:13.051094+0100 taler-exchange-secmod-eddsa-3547315 INFO Key ENR6E4FJ already purged, skipping
2021-11-22T02:04:13.051117+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 41 m ago)
2021-11-22T02:04:13.051139+0100 taler-exchange-secmod-eddsa-3547315 INFO Key 59PBA2WP already purged, skipping
2021-11-22T02:04:13.051162+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key R6K13H99 (expired 112 s ago)
2021-11-22T02:04:13.051184+0100 taler-exchange-secmod-eddsa-3547315 INFO Key R6K13H99 already purged, skipping
2021-11-22T02:04:13.051207+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key JPDYVB5W (expired 53 s ago)
2021-11-22T02:04:13.051239+0100 taler-exchange-secmod-eddsa-3547315 INFO Key JPDYVB5W already purged, skipping
........................2021-11-22T02:04:19.006115+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key HR36MP01 (expired 46 m ago)
2021-11-22T02:04:19.006166+0100 taler-exchange-secmod-eddsa-3547315 INFO Key HR36MP01 already purged, skipping
2021-11-22T02:04:19.006191+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key P06PG9ZD (expired 45 m ago)
2021-11-22T02:04:19.006212+0100 taler-exchange-secmod-eddsa-3547315 INFO Key P06PG9ZD already purged, skipping
2021-11-22T02:04:19.006235+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key SPBNKYDZ (expired 44 m ago)
2021-11-22T02:04:19.006256+0100 taler-exchange-secmod-eddsa-3547315 INFO Key SPBNKYDZ already purged, skipping
2021-11-22T02:04:19.006278+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key F9BCTCJK (expired 43 m ago)
2021-11-22T02:04:19.006299+0100 taler-exchange-secmod-eddsa-3547315 INFO Key F9BCTCJK already purged, skipping
2021-11-22T02:04:19.006322+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key ENR6E4FJ (expired 42 m ago)
2021-11-22T02:04:19.006343+0100 taler-exchange-secmod-eddsa-3547315 INFO Key ENR6E4FJ already purged, skipping
2021-11-22T02:04:19.006364+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key 59PBA2WP (expired 41 m ago)
2021-11-22T02:04:19.006386+0100 taler-exchange-secmod-eddsa-3547315 INFO Key 59PBA2WP already purged, skipping
2021-11-22T02:04:19.006408+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key R6K13H99 (expired 118 s ago)
2021-11-22T02:04:19.006429+0100 taler-exchange-secmod-eddsa-3547315 INFO Key R6K13H99 already purged, skipping
2021-11-22T02:04:19.006451+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key JPDYVB5W (expired 59 s ago)
2021-11-22T02:04:19.006472+0100 taler-exchange-secmod-eddsa-3547315 INFO Key JPDYVB5W already purged, skipping
2021-11-22T02:04:19.006494+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging past key FK80WQ4T (expired 6 ms ago)
2021-11-22T02:04:19.006515+0100 taler-exchange-secmod-eddsa-3547315 INFO Purging key FK80WQ4T
.
FAIL test_helper_eddsa (exit status: 141)

test-suite-4.log (18,977 bytes)   

Christian Grothoff

2021-11-22 15:22

manager   ~0018524

I just fixed the failure in line 287, that was based on a wrong assumption on my part that the revocation IPC breaks.

ttn

2021-11-23 07:35

developer   ~0018525

Unfortunately, the latest failure was indeed with that change (HEAD = eb05ba6e34f4200663d28cea06c1915cd9166c2e).

ttn

2021-11-25 02:03

developer   ~0018538

With latest (HEAD ed6634f98e749ad0acc01aff59a98c058c7bd9e6), it runs forever (but w/ low CPU usage).
I had to kill -15 it in the end. Log attached. (Sorry it's so voluminous -- i fell alseep, waiting!)
test-suite.log.gz (427,473 bytes)

Christian Grothoff

2021-11-25 13:47

manager   ~0018539

Is it better now?

ttn

2021-11-25 14:16

developer   ~0018540

With latest (HEAD 94012d011c3b2c3b3dcc9527d56d1814f42fcdc7),
"make check" completes successfully, with the bothersome test finishing
in a fraction of a second.

I confirm the same result for all three platforms (Debian, Alpine, Devuan).

We can close this bug now, yay!

Issue History

Date Modified Username Field Change
2021-11-20 01:53 ttn New Issue
2021-11-20 01:53 ttn Status new => assigned
2021-11-20 01:53 ttn Assigned To => Christian Grothoff
2021-11-20 01:53 ttn File Added: .ttn.exchange-make-check.log
2021-11-20 01:53 ttn File Added: .ttn.ps.log
2021-11-20 01:53 ttn File Added: test_helper_eddsa.log
2021-11-20 09:09 Christian Grothoff Note Added: 0018497
2021-11-20 09:10 Christian Grothoff Status assigned => feedback
2021-11-20 09:10 Christian Grothoff Note Added: 0018498
2021-11-20 11:00 ttn Note Added: 0018499
2021-11-20 11:00 ttn Status feedback => assigned
2021-11-20 12:22 ttn Note Added: 0018500
2021-11-20 12:33 ttn Note Added: 0018501
2021-11-20 15:13 ttn Note Added: 0018502
2021-11-20 15:45 ttn Note Added: 0018503
2021-11-20 15:45 ttn File Added: config.log.gz
2021-11-20 15:45 ttn File Added: test-suite.log
2021-11-21 09:04 ttn Note Added: 0018506
2021-11-21 09:17 ttn Note Added: 0018507
2021-11-21 10:02 Christian Grothoff Status assigned => resolved
2021-11-21 10:02 Christian Grothoff Resolution open => fixed
2021-11-21 10:02 Christian Grothoff Fixed in Version => 0.9
2021-11-21 10:02 Christian Grothoff Note Added: 0018508
2021-11-21 10:02 Christian Grothoff Target Version => 0.9
2021-11-21 12:42 ttn Status resolved => feedback
2021-11-21 12:42 ttn Resolution fixed => reopened
2021-11-21 12:42 ttn Note Added: 0018509
2021-11-21 12:42 ttn Note Added: 0018510
2021-11-21 12:42 ttn File Added: test-suite-2.log
2021-11-21 12:42 ttn Status feedback => assigned
2021-11-21 12:48 Christian Grothoff Status assigned => feedback
2021-11-21 12:48 Christian Grothoff Note Added: 0018511
2021-11-21 12:56 ttn Note Added: 0018512
2021-11-21 12:56 ttn File Added: .ttn.exchange-make-check-2.log
2021-11-21 12:56 ttn Status feedback => assigned
2021-11-21 12:58 ttn Note Added: 0018513
2021-11-21 12:58 ttn File Added: test-suite-3.log
2021-11-21 13:38 Christian Grothoff Note Added: 0018514
2021-11-21 13:41 Christian Grothoff Status assigned => feedback
2021-11-21 13:42 Christian Grothoff Assigned To Christian Grothoff => ttn
2021-11-21 14:02 ttn Note Added: 0018515
2021-11-21 20:15 ttn Note Added: 0018519
2021-11-21 23:29 Christian Grothoff Note Added: 0018521
2021-11-22 02:09 ttn Note Added: 0018522
2021-11-22 02:09 ttn File Added: .ttn.exchange-make-check-3.log
2021-11-22 02:09 ttn File Added: test-suite-4.log
2021-11-22 15:22 Christian Grothoff Note Added: 0018524
2021-11-23 07:35 ttn Note Added: 0018525
2021-11-23 07:36 ttn Assigned To ttn =>
2021-11-23 07:36 ttn Assigned To => ttn
2021-11-23 07:36 ttn Status feedback => assigned
2021-11-23 07:36 ttn Assigned To ttn => Christian Grothoff
2021-11-25 02:03 ttn Note Added: 0018538
2021-11-25 02:03 ttn File Added: test-suite.log.gz
2021-11-25 13:47 Christian Grothoff Note Added: 0018539
2021-11-25 14:16 ttn Note Added: 0018540
2021-11-25 14:17 Christian Grothoff Status assigned => resolved